# RPM specfile for MUSCLE PC/SC Lite

Name:           pcsc-lite
Version:        1.2.0
Release:        1
License:        BSD
URL:            http://www.linuxnet.com/middle.html
Buildroot:      %{_tmppath}/%{name}-root
Source:         pcsc-lite-1.2.0.tar.gz
Patch0:         Makefile.am.patch
#Patch1:         etc.Makefile.am.patch

#Requires:       %{name}-shared = %{version}
Group:          System/Daemons
Summary:        MUSCLE PC/SC Smartcard Framework for Linux

%description
pcscd is the daemon program for PC/SC Lite. It is a resource manager that
coordinates communications with Smart Card readers and Smart Cards that are
connected to the system.
The purpose of PC/SC Lite is to provide a MS-Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PC/SC Lite uses the same winscard API as used under MS-Windows(R).

In addition to this package, you'll also need to install driver modules
for the Smart Card types you use.  Look at
<http://www.linuxnet.com/sourcedrivers.html>.

#%package        shared
#Group:          System/Libraries
#Summary:        MUSCLE PC/SC run-time library

#%package        devel
#Group:          Development/Libraries
#Summary:        Supplementary files for developing %{name} applications
#Requires:       %{name}-shared = %{version}


#%description    shared
#This package contains the shared library of the MUSCLE PC/SC
#Smartcard framework.

#%description    devel
#Stuff to compile and link applications to the MUSCLE PC/SC
#Smartcard framework, with documentation.

#Note: libpcsclite has been linked with pthreads, so you should do the same
#with PC/SC applications.


# Special installation paths
%define sbindir         /sbin
%define slibdir         /lib
%define sconfdir       /etc/

%define initdir         /etc/init.d
%define rc_topdir       %{initdir}

%define rc_confdir      /etc
%define rc_conffile     pcscd
%define driverdir       %{_prefix}/pcsc/drivers

%prep
%setup 
%patch -p0 -P 0
#%patch -p0 -P 1

%build
./bootstrap
CFLAGS="${CFLAGS-$RPM_OPT_FLAGS}" \
./configure \
       --prefix=%{_prefix} \
       --exec-prefix=%{_exec_prefix} \
       --bindir=%{_bindir} \
       --sbindir=%{_sbindir} \
       --libdir=%{_libdir} \
       --includedir=%{_includedir} \
       --mandir=%{_mandir} \
       --sysconfdir=%{sconfdir} \
       --enable-confdir=%{sconfdir} \
       --enable-usb \
       --enable-scf \
       --enable-threadsafe \
       --enable-runpid=/var/run/pcscd.pid
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} datadir=%{_docdir}/%{name}
#build/mkinstalldirs %{buildroot}%{initdir}
mkdir -p %{buildroot}%{initdir}
#install-sh -m 755 etc/pcscd.suse %{buildroot}%{initdir}/pcscd
cp pcscd %{buildroot}%{initdir}/pcscd
chmod 755 %{buildroot}%{initdir}/pcscd
#ln -s %{initdir}/pcscd %{buildroot}%{sbindir}/rcpcscd
#build/mkinstalldirs %{buildroot}%{rc_confdir}
#build/install-sh -m 644 etc/pcscd.suserc \
#%{buildroot}%{rc_confdir}/%{rc_conffile}

#%if "%{_libdir}" != "%{slibdir}"
# Move the run-time libs to %{slibdir} so that %{_libdir} need not be mounted
#		build/mkinstalldirs %{buildroot}%{slibdir}
#		for f in %{buildroot}%{_libdir}/lib*.so.*; do
#		  mv "$f" %{buildroot}%{slibdir}/
#      ln -s %{slibdir}/`basename "$f"` %{buildroot}%{_libdir}/
#		done
#%endif

%clean
rm -rf %{buildroot}

#%post   shared
%post
if ! test -d /usr/pcsc/drivers; then
  mkdir -p %{driverdir}
fi

if test -x /sbin/ldconfig; then /sbin/ldconfig %{_libdir}; fi
#if test -x /sbin/chkconfig; then /sbin/chkconfig --level 35 pcscd on; fi
if test -x /sbin/chkconfig; then /sbin/chkconfig --add pcscd; fi

%postun
if [ $1 = 0 ]; then
  if test -x /sbin/ldconfig; then /sbin/ldconfig %{_libdir}; fi
fi

if [ -d %{driverdir} ]; then
   res=`ls %{driverdir}`
   if [ -z "$res" ]; then
    #rmdir -p %{driverdir}
    rm -rf %{_prefix}/pcsc
   fi
fi

%preun
if [ -x %{initdir}/pcscd ]; then
  str=`%{initdir}/pcscd status | grep stopped`    
  if [ -z "$str" ]; then    
    %{initdir}/pcscd stop
  fi
fi
#if test -x /sbin/chkconfig; then /sbin/chkconfig --level 35 pcscd off; fi
if test -x /sbin/chkconfig; then /sbin/chkconfig --del pcscd; fi


%files
%defattr(-,root,root)
%{_bindir}/*
#%{sbindir}/*
%{_sbindir}/*
%{initdir}/pcscd
#%doc %{_mandir}/man1/*.1*
#%doc %{_mandir}/man8/*.8*
#%doc %{_mandir}/man5/*.5*
%config %{sconfdir}/reader.conf.d/reader.conf
#%config %{sconfdir}/reader.conf
#%config %{rc_confdir}/%{rc_conffile}
#origi
#%doc AUTHORS COPYING ChangeLog DRIVERS HELP NEWS README* SECURITY doc/README.DAEMON doc/ifdhandler-3.pdf doc/ifdhandler-3.tex doc/pcsc-lite.bib doc/pcsc-lite.pdf doc/pcsc-lite.tex
#without docs
%doc AUTHORS COPYING ChangeLog DRIVERS HELP NEWS README* SECURITY

# The shared libs package just gets the versioned run-time library
# so that we can have several versions installed without file conflicts.
#%files  shared
%defattr(-,root,root)
%{_libdir}/lib*.so.*

# The rest goes into the devel package.
#%files  devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_includedir}/*

#%doc doc/*.pdf src/README_INTERNALS.txt


#%doc AUTHORS COPYING ChangeLog DRIVERS HELP NEWS README* SECURITY doc/README.DAEMON doc/ifdhandler-3.pdf doc/ifdhandler-3.tex doc/pcsc-lite.bib doc/pcsc-lite.pdf doc/pcsc-lite.tex

#%{_prefix}/share/doc/pcsc-lite/README.DAEMON
#%{_prefix}/share/doc/pcsc-lite/ifdhandler-3.pdf
#%{_prefix}/share/doc/pcsc-lite/ifdhandler-3.tex
#%{_prefix}/share/doc/pcsc-lite/pcsc-lite.bib
#%{_prefix}/share/doc/pcsc-lite/pcsc-lite.pdf
#%{_prefix}/share/doc/pcsc-lite/pcsc-lite.tex
		  

%{_libdir}/pkgconfig/libpcsclite.pc

